Sync a cluster
Runs the cluster’s setup again, as when it was connected.
POST
/cluster/{cluster_id}/syncAuthorization
AuthorizationBearer token (JWT) · headerrequiredJWT token passed in the Authorization header using the Bearer <token> format.
Path parameters
cluster_iduuidrequiredThe unique identifier of the cluster
Responses
200
Cluster sync scheduled successfully
iduuidrequiredA universally unique identifier (UUID) string
organization_iduuidrequiredA universally unique identifier (UUID) string
namestringrequiredThe name of the cluster.
cloud_providercloud_providerrequiredThe cloud provider for the cluster.
Allowed:
customawsgcpstatecluster_staterequiredThe current lifecycle state of the cluster.
Allowed:
UNKOWNREADYDEPLOYEDDEPLOYINGDEPLOY_QUEUEDDEPLOY_ERRORINITIALIZINGINITIALIZEDINITIALIZE_QUEUEDINITIALIZE_ERRORSTOPEDSTOPINGSTOP_QUEUEDSTOP_ERRORRESTARTRESTARTINGRESTART_QUEUEDRESTART_ERRORcreated_atstring<date-time>requiredThe timestamp when the cluster was created.
update_atstring<date-time>requiredThe timestamp when the cluster was last updated.
deleted_atstring<date-time> | nullrequiredThe timestamp when the cluster was deleted updated.
default
Error
codeinteger<int32>requiredmessagestringrequiredreasonstringOptional stable machine-readable reason for programmatic error handling